<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Salal
 */
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?>

    </div>
    <!-- #content -->
    </div>
    <!-- #content-wide-wrapper -->

    <?php do_action( 'salal_before_footer' ); ?>

	
    <footer id="site-footer">
        <div id="footer-content">

            <?php do_action( 'salal_before_footer_content' ); ?>

            <?php 
				// Check if there is a social menu.
				if ( has_nav_menu( 'footer-social' ) ) : 
					// Display Social Icons Menu.
					echo '<nav id="footer-social-icons" class="footer-social-menu salal-social-menu clearfix">';										
						wp_nav_menu( array(
							'theme_location' => 'footer-social',
							'container' => false,
							'menu_class' => 'social-icons-menu',
							'echo' => true,
							'fallback_cb' => '',
							'link_before' => '<span class="social-icon-label">',
							'link_after' => '</span>',
							'depth' => 1,
							)
						);
					echo '</nav>';
				 endif; ?>

    <?php if ( has_nav_menu( 'footer' ) ) {
	 echo '<nav id="footer-nav"> ';
		 wp_nav_menu( array( 
				'theme_location' => 'footer', 
				'fallback_cb' => false, 
				'depth' => 1,
				'container' => false, 
				'menu_id' => 'footer-menu', 
			) ); 
		echo '</nav>';
		}
		?>
		
            <div id="footer-copyright">

                <?php esc_html_e('Copyright &copy;', 'salal'); ?>
                <?php echo date_i18n( __( 'Y', 'salal' ) ); // WPCS: XSS OK ?>
				<span id="copyright-name">
            <?php echo esc_html(get_theme_mod( 'salal_copyright' )); ?></span>.
                <?php esc_html_e('All rights reserved.', 'salal'); ?>

            </div>

            <?php do_action( 'salal_after_footer_content' ); ?>

        </div>
    </footer>
    <!-- #colophon -->

    <?php do_action( 'salal_after_footer' ); ?>

    </div>
    <!-- #page -->

    <?php wp_footer(); ?>

    </body>

    </html>
