<?php
/**
 * Layout Settings
 * Register Layout section, settings and controls for Theme Customizer
 * @package Salal
 */

function salal_customize_register_layout_settings( $wp_customize ) {


	// Add Section for Theme Options.
	$wp_customize->add_section( 'salal_section_layout', array(
		'title'    => esc_html__( 'Layout Settings', 'salal' ),
		'priority' => 10,
		'panel'    => 'salal_options_panel',
	) );

	// Add Settings and Controls for theme layout.
	$wp_customize->add_setting( 'salal_theme_options[theme_layout]', array(
		'default'           => 'wide',
		'type'              => 'option',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'salal_sanitize_select',
	) );

	$wp_customize->add_control( 'salal_theme_options[theme_layout]', array(
		'label'    => esc_html__( 'Theme Layout', 'salal' ),
		'description'    => esc_html__( 'The Wide Layout is full width with no boxes around content. The Centered Layout is similar but is not full width. The Boxed Layout puts boxes around your content.', 'salal' ),
		'section'  => 'salal_section_layout',
		'type'     => 'select',
		'choices'  => array(
			'wide'     => esc_html__( 'Wide Layout', 'salal' ),
			'centered' => esc_html__( 'Centered Layout', 'salal' ),
			'boxed'    => esc_html__( 'Boxed Layout', 'salal' ),
		),
	) );
	
}
add_action( 'customize_register', 'salal_customize_register_layout_settings' );