<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Salal
	
 */
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

// Get theme options from database.
$theme_options = salal_theme_options();
	
get_header(); ?>

    <div id="primary" class="content-archive content-area">
        <main id="main" class="site-main">
		
<?php 
	if ( true === salal_get_option( 'archive_title_group' )) {
		salal_archive_title_group(); 
	}
	?>
	
        <?php
		if ( have_posts() ) :

			echo '<div id="post-wrapper" class="post-wrapper">';			
				do_action( 'salal_before_post_wrapper_content' ); 
			while ( have_posts() ) : the_post();
				get_template_part( 'template-parts/posts/content', esc_attr( salal_get_option( 'blog_content' ) ) );
			endwhile;
			do_action( 'salal_after_post_wrapper_content' ); 			
			echo '</div>';
			salal_blog_navigation();
		else :
			get_template_part( 'template-parts/posts/content', 'none' );
		endif; ?>

        </main>
        <!-- #main -->
    </div>
    <!-- #primary -->

    <?php
	// Show the sidebar only if we have the left or right sidebar position set.
	if ( 'left' == $theme_options['sidebar_position'] || 'right' == $theme_options['sidebar_position']) {
		get_sidebar();
	}

get_footer();
