<?php
/**
 * The sidebar containing the main widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Salal
 */
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}


// Check if Sidebar has widgets.
if (   ! is_active_sidebar( 'left-sidebar'  )
	&& ! is_active_sidebar( 'right-sidebar' ) 
	&& ! is_active_sidebar( 'blog-sidebar' )
	)
	return;

	
// check body classes for either the left or right sidebars	
$classes = get_body_class();

	if (in_array('sidebar-left',$classes) && is_page()) {
		
		echo '<aside id="secondary" class="sidebar widget-area clearfix">';	
			dynamic_sidebar( 'left-sidebar' );		
		echo '</aside>';	

	} elseif (in_array('sidebar-right',$classes)  && is_page()) {
		
		echo '<aside id="secondary" class="sidebar widget-area clearfix">';  
			dynamic_sidebar( 'right-sidebar' );
		echo '</aside>';	

	// Skip to the blog sidebar for blog and archives
	} else {
		
		echo '<aside id="secondary" class="sidebar widget-area clearfix">';	
			dynamic_sidebar( 'blog-sidebar' );		
		echo '</aside>';	
		
	} 

?>
